do
	local data = {
		version = "$Rev: 109 $",
		key = "auriaya", 
		zone = "Ulduar", 
		name = "Auriaya", 
		title = "Auriaya", 
		tracing = {"Auriaya",},
		triggers = {
			scan = "Auriaya", 
		},
		onactivate = {
			autostart = true,
			autostop = true,
			leavecombat = true,
		},
		userdata = {},
		onstart = {},
		alerts = {
			screechcd = {
				type = "dropdown",
				var = "screechcd",
				varname = "Terrifying Screech cooldown",
				text = "Terrifying Screech Cooldown",
				time = 35,
				flashtime = 5,
				color1 = "PURPLE",
				color2 = "VIOLET",
				sound = "ALERT1",
			},
			sentinelwarn = {
				type = "simple",
				var = "sentinelwarn",
				varname = "Sentinel Blast warning",
				text = "Sentinel Blast Casted!",
				time = 1.5,
				color1 = "BLUE",
			},
		},
		-- TODO
		-- Add Guardian Swarm
		events = {
			-- Terrifying Screech
			[1] = {
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = 64386,
				execute = {
					[1] = {
						{alert = "screechcd"},
					}	
				},
			},
			-- Sentinel Blast
			[2] = {
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {64389,64678},
				execute = {
					[1] = {
						{alert = "sentinelwarn"},
					},
				},
			},
		},
	}

	DXE:RegisterEncounter(data)
end


